/****************************************************************************
** Generated QML type registration code
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#include <QtQml/qqml.h>
#include <QtQml/qqmlmoduleregistration.h>

#if __has_include(<types.h>)
#  include <types.h>
#endif


#if !defined(QT_STATIC)
#define Q_QMLTYPE_EXPORT Q_DECL_EXPORT
#else
#define Q_QMLTYPE_EXPORT
#endif
Q_QMLTYPE_EXPORT void qml_register_types_org_kde_purpose()
{
    QT_WARNING_PUSH QT_WARNING_DISABLE_DEPRECATED
    qmlRegisterTypesAndRevisions<AlternativesModelForeign>("org.kde.purpose", 1);
    qmlRegisterTypesAndRevisions<ConfigurationForeign>("org.kde.purpose", 1);
    qmlRegisterTypesAndRevisions<JobControllerForeign>("org.kde.purpose", 1);
    qmlRegisterEnum<Purpose::JobController::State>("Purpose::JobController::State");
    qmlRegisterTypesAndRevisions<JobForeign>("org.kde.purpose", 1);
    QMetaType::fromType<KJob *>().id();
    qmlRegisterEnum<KJob::Unit>("KJob::Unit");
    qmlRegisterEnum<KJob::Capability>("KJob::Capability");
    qmlRegisterEnum<KJob::Capabilities>("KJob::Capabilities");
    qmlRegisterEnum<KJob::Capability>("KJob::Capability");
    qmlRegisterEnum<KJob::KillVerbosity>("KJob::KillVerbosity");
    QMetaType::fromType<QAbstractItemModel *>().id();
    qmlRegisterEnum<QAbstractItemModel::LayoutChangeHint>("QAbstractItemModel::LayoutChangeHint");
    qmlRegisterEnum<QAbstractItemModel::CheckIndexOption>("QAbstractItemModel::CheckIndexOption");
    QMetaType::fromType<QAbstractListModel *>().id();
    QT_WARNING_POP
    qmlRegisterModule("org.kde.purpose", 1, 0);
}

static const QQmlModuleRegistration orgkdepurposeRegistration("org.kde.purpose", qml_register_types_org_kde_purpose);
